/*
* mach-palmtx.h
*
* Hardware specifications of Palm TX
*
* Copyright (C) 2005 Romain Goyet
* Author: Vladimir Pouzanov [farcaller@gmail.com]
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*/

#define DISPLAY_INITIAL_WARNING

#define MACHINE_NAME 'ptx'
#define MACHINE_CPU 'XSCL'

#define MACHINE_ID_PALMOS 'D050'
#define MACHINE_ID_LINUX 885
#define RAM_BASE_ADDRESS 0xA0000000
#define PHYSICAL_RAM_SIZE 0x02000000

#define SERIAL_PORT_OUTPUT serPortCradlePort
#define SERIAL_PORT_BAUD_RATE 9600
