/*
 * mach-palmld.h
 *
 * Hardware specifications of Palm LifeDrive.
 *
 * Copyright (C) 2005 Romain Goyet 
 * Author: Romain Goyet [r.goyet@gmail.com]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#define DISPLAY_INITIAL_WARNING

#define MACH_NAME 'pld'
#define MACHINE_CPU 'XSCL'
#define MACHINE_ID_PALMOS 'TunX'
#define MACHINE_ID_LINUX 835
#define RAM_BASE_ADDRESS 0xA0000000
#define PHYSICAL_RAM_SIZE 0x02000000

#define SERIAL_PORT_OUTPUT serPortCradlePort
#define SERIAL_PORT_BAUD_RATE 9600
