/*
 * mach-palmtt3.h
 *
 * Hardware specifications of Palm Tungsten T3.
 *
 * Copyright (C) 2005 Romain Goyet 
 * Author: Romain Goyet [r.goyet@gmail.com]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#define DISPLAY_INITIAL_WARNING

#define MACH_NAME 'ptt3'
#define MACHINE_CPU 'XSCL'
#define MACHINE_ID_PALMOS 'Arz1'
#define MACHINE_ID_LINUX 829
#define RAM_BASE_ADDRESS 0xA0000000
#define PHYSICAL_RAM_SIZE 0x04000000

#define SERIAL_PORT_OUTPUT serPortCradlePort
#define SERIAL_PORT_BAUD_RATE 9600
